Bug 170373 - system-config-printer does not handle Epson EPL-6200L
system-config-printer does not handle Epson EPL-6200L
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: foomatic (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 01:12 EDT by Alberto Lusiani
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-39.4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 12:10:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/cups/error_log (1.54 KB, text/plain)
2005-10-31 17:06 EST, Alberto Lusiani
no flags Details

  None (edit)
Description Alberto Lusiani 2005-10-11 01:12:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050721 CentOS/1.0.6-1.4.1.centos4 Firefox/1.0.6

Description of problem:
Wehn configurinf an Epson EPL-6200L printer, the following message appears:

No match for USB device:
  mfr "EPSON"
  model "EPL-6200L"
  desc "EPSON EPL-6200L"
  cmdset "ESCPAGES-02"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

and the printer does not work

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. start system-config-printer
2. create printer corresponding to /dev/usb/lp0 EPSON-EPL-6200L
3. Select "Apply"
  

Actual Results:  The above message appears

Expected Results:  no message, and printing the test page should have worked.

Additional info:
Comment 1 Tim Waugh 2005-10-11 11:31:23 EDT
The 'no match' message is harmless (it just means that the correct printer model
is not automatically selected for you).  I have committed the fix into CVS.

It does not prevent the printer from printing, so something else is also going on.

Please do the following:

1. Become root, using 'su -' in a terminal window
2. Stop cups with '/sbin/service cups stop'
3. Clear out the CUPS error log with '>/var/log/cups/error_log'
4. Start cups again with '/sbin/service cups start'
5. Try to print a test page to that queue from system-config-printer (using the
Test menu)
6. When it fails, please attach the /var/log/cups/error_log message to this bug
report.

Thanks.
Comment 2 Alberto Lusiani 2005-10-31 17:06:12 EST
Created attachment 120590 [details]
/var/log/cups/error_log

content of /var/log/cups/error_log after the instructions
Comment 3 Alberto Lusiani 2005-11-01 03:11:11 EST
(In reply to comment #2)

The text of my message above was lost and only the attachment survived.  I just
wanted to say that, in fact, following the instructions I was able to print the
test page and to use the printer.  I don't see errors.  I included anyway the
content of the log file. Thanks,

Alberto
Comment 4 Fedora Update System 2007-01-17 11:28:52 EST
Fixed in update: foomatic-3.0.2-39.4.fc6

Note You need to log in before you can comment on or make changes to this bug.